"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x104160b80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x104160c10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104160ca0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104160d30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x104160dc0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x104160e50>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104160ee0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104160f70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104163040>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1041630d0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x104163160>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1041631f0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x104163280>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x104163310>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1041633a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x104163430>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1041634c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x104163550>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1041635e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x104163670>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x104163700>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x104163790>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x104163820>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1041638b0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1041639d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x104163940>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x104163a60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x104163af0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x104163b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x104163c10>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x104163ca0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x104163d30>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x104163dc0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x104163e50>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x104163ee0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x104163f70>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x104167040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1041670d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104167160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1041671f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104167280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x104167310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1041673a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x104167430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1041674c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x104167550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1041675e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104167670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104167700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x104167790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x104167820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1041678b0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x104167940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1041679d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x104167a60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x104167af0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x104167b80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104167c10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x104167ca0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104167d30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104167dc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x104167e50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104167ee0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x104167f70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10416a040>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10416a1f0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10416a0d0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10416a280>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10416a310>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10416a3a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10416a430>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10416a4c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10416a5e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10416a550>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10416a670>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10416a700>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10416a790>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10416a8b0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10416a820>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10416a940>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10416a9d0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10416aa60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10416aaf0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10416ab80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10416ac10>)]
name: str = 'fr_HOCCN'
